/**
 * @module M/impl/control/Navtoolbar
 */

/**
 * @classdesc
 * @api
 */
class Navtoolbar {
  /**
   * @constructor
   * @extends {ol.control.Control}
   * @api stable
   */
  constructor() {
    this.element_ = null;
  }

  /**
   * This function adds the control to the specified map
   *
   * @public
   * @function
   * @param {M.Map} map to add the plugin
   * @param {function} template template of this control
   * @api stable
   */
  addTo(map, element) {
    this.element_ = element;
  }

  /**
   * function remove the event 'click'
   *
   * @public
   * @function
   * @api stable
   * @export
   */
  getElement() {
    return this.element_;
  }

  /**
   * This function destroys this control, cleaning the HTML
   * and unregistering all events
   *
   * @public
   * @function
   * @api stable
   * @export
   */
  destroy() {}
}

export default Navtoolbar;
